%define fname	keyring

Name:		python-keyring
Summary:	Python library to access the system keyring service
Version:	8.5.1
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/k/keyring/%{fname}-%{version}.tar.gz
URL:		http://pypi.python.org/pypi/keyring
Group:		Development/Python
License:	Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
BuildRequires:	python-gi
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
	
%description
The Python keyring lib provides a easy way to access the system keyring
service from python. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python-keyring-gnome or
python-keyring-kwallet.

%package -n python3-keyring
Summary:	Python 3 library to access the system keyring service
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
Requires:	python3-gobject3

%description -n python3-keyring
The Python 3 keyring lib provides a easy way to access the system keyring
service from python 3. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python3-keyring-gnome or
python3-keyring-kwallet.

%prep
%setup -q -n %{fname}-%{version}
rm -rf %{fname}.egg-info
%autopatch -p1
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/keyring %{buildroot}/%{_bindir}/python3-keyring
popd

%py2_install

# we don't ship tests they need a test environment
rm -rf %{buildroot}/%{python3_sitelib}/%{fname}/tests/
rm -rf %{buildroot}/%{python_sitelib}/%{fname}/tests/

%files
%doc README.rst CHANGES.rst
%{python2_sitelib}/*egg-info
%{python2_sitelib}/%{fname}
%{_bindir}/keyring

%files -n python3-keyring
%doc README.rst CHANGES.rst
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}
%{_bindir}/python3-keyring




%changelog
* Sun Mar 27 2016 philippem <philippem> 8.5.1-1.mga6
+ Revision: 995780
- update to 8.5.1

* Tue Feb 16 2016 philippem <philippem> 8.4.1-1.mga6
+ Revision: 962675
- remove no longer need sed
- update to 8.4.1

* Sat Dec 12 2015 philippem <philippem> 5.7-1.mga6
+ Revision: 909726
- fix docs
- update to 5.7

* Wed Oct 28 2015 philippem <philippem> 5.6-1.mga6
+ Revision: 896123
- update to 5.6

* Sat Oct 10 2015 tv <tv> 4.0-5.mga6
+ Revision: 888806
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 4.0-4.mga5
+ Revision: 741897
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.0-3.mga5
+ Revision: 728934
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.0-2.mga5
+ Revision: 688109
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Tue Aug 12 2014 philippem <philippem> 4.0-1.mga5
+ Revision: 662100
- update to 4.0

* Sat May 31 2014 pterjan <pterjan> 3.8-2.mga5
+ Revision: 628735
- Rebuild for new Python

* Sun May 18 2014 philippem <philippem> 3.8-1.mga5
+ Revision: 623630
- update to 3.8

* Sun Mar 30 2014 philippem <philippem> 3.7-1.mga5
+ Revision: 610458
- update to 3.7

* Thu Mar 06 2014 philippem <philippem> 3.6-1.mga5
+ Revision: 600515
- update to 3.6

* Sat Nov 02 2013 fwang <fwang> 3.0.5-4.mga4
+ Revision: 548944
- add requires

* Tue Oct 22 2013 umeabot <umeabot> 3.0.5-3.mga4
+ Revision: 543702
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.0.5-2.mga4
+ Revision: 498821
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 03 2013 philippem <philippem> 3.0.5-1.mga4
+ Revision: 490632
- Update to 3.0.5

* Sun Sep 01 2013 philippem <philippem> 2.1.1-1.mga4
+ Revision: 474028
- update to 2.1.1

* Thu Jul 18 2013 philippem <philippem> 1.6-1.mga4
+ Revision: 455965
- Update to 1.6

* Sat Jun 08 2013 philippem <philippem> 1.4-1.mga4
+ Revision: 440641
- add python3

* Sat Jun 08 2013 philippem <philippem> 1.4-0.mga4
+ Revision: 440608
- disable python3 now seems that there are problems with 3.3 should be fixed in next upstream
- imported package python-keyring

